Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

Obtain a token, license and user info for a client of an account.

Obtain a token, license and user info for a client of an account. Given an accountId and the clientId/clientSecret of an API client registered for that account, let CAM determine the account’s Keycloak server and obtain a token for that client. Returns the caller’s email and userId (from the obtained token), the token itself, the account-scoped license token (LIC_BPANDA_API) for the given accountId, and the id of that account’s process space (PS-001-<accountId>).

Security: No access token required: the caller authenticates with the clientId and clientSecret of an API client registered for the given account.

POST/v1/apiUserInfo
Request body
requiredapplication/json

Payload

accountIdstringrequired
clientIdstringrequired
clientSecretstringrequired
Responses
200

Ok

emailstringrequired
licenseTokenstringrequired
processSpaceIdstringrequired
tokenstringrequired
userIdstringrequired
404

No license token for the given accountId, or its process space does not exist

string
Try it
Server
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/apiUserInfo' \
  -H 'Content-Type: application/json' \
  -d '{
  "accountId": "string",
  "clientId": "string",
  "clientSecret": "string"
}'
Response
{
  "email": "string",
  "licenseToken": "string",
  "processSpaceId": "string",
  "token": "string",
  "userId": "string"
}